function [Na,Ea,Za]=ASSEa_HR(xAngTLHR,angle,SpeTLHR)

angle = angle*2*pi/360;
ax = sin(xAngTLHR);

if ax >=0
    Na = SpeTLHR*ax*cos(angle);
    Ea = -SpeTLHR*ax*sin(angle);
else
    Na = -SpeTLHR*ax*cos(angle);
    Ea = SpeTLHR*ax*sin(angle);
end
    
% calcolo il coseno dell'angolo di inclinazione
cosBeta = (1 - ax^2)^0.5;
Z = SpeTLHR*cosBeta;
Za = SpeTLHR - Z; % L'abbassamento è POSITIVO

end